﻿--[[
Name: Babble-Trainer-2.2
Revision: $Rev: 25816 $
Authors(s): Kodewulf (kodewulf@gmail.com)
Website: www.wowace.com
Documentation: http://www.wowace.com/wiki/Babble-Trainer-2.2
Dependencies: AceLibrary, AceLocale-2.2
License: MIT
]]

local MAJOR_VERSION = "Babble-Trainer-2.2"
local MINOR_VERSION = tonumber(string.sub("$Revision: 25816 $", 12, -3))

if not AceLibrary then error(MAJOR_VERSION .. " requires AceLibrary") end
if not AceLibrary:HasInstance("AceLocale-2.2") then error(MAJOR_VERSION .. " requires AceLocale-2.2") end

local _, x = AceLibrary("AceLocale-2.2"):GetLibraryVersion()
MINOR_VERSION = MINOR_VERSION * 100000 + x

if not AceLibrary:IsNewVersion(MAJOR_VERSION, MINOR_VERSION) then return end

local BabbleTrainer = AceLibrary("AceLocale-2.2"):new(MAJOR_VERSION)

BabbleTrainer:RegisterTranslations("enUS", function() return {
	-- Trainer types
	["Warrior Trainer"] = true,
	["Demon Trainer"] = true,
	["Bael'dun Chief Engineer"] = true,
	["Warlock Trainer"] = true,
	["Raptor Riding Trainer"] = true,
	["Horse Riding Instructor"] = true,
	["Leatherworking Trainer"] = true,
	["Master Jewelcrafter"] = true,
	["Artisan Enchanter"] = true,
	["Unbalanced Engineer"] = true,
	["Journeyman Jewelcrafter"] = true,
	["Expert Tailor"] = true,
	["Expert Blacksmith"] = true,
	["Artisan Blacksmith"] = true,
	["Grand Master Tailor"] = true,
	["Master Gnome Engineer"] = true,
	["Druid Trainer"] = true,
	["Journeyman Engineer"] = true,
	["Superior Leatherworker"] = true,
	["Journeyman Tailor"] = true,
	["Journeyman Leatherworker"] = true,
	["Grand Master Alchemist"] = true,
	["Grand Master Leatherworker"] = true,
	["Portal Trainer"] = true,
	["Grand Master Enchanter"] = true,
	["Cooking Trainer"] = true,
	["Skinning Trainer"] = true,
	["Engineer"] = true,
	["Riding Instructor"] = true,
	["Priest Trainer"] = true,
	["Journeyman Alchemist Trainer"] = true,
	["Artisan Leatherworker"] = true,
	["Artisan Engineer"] = true,
	["Master Dragonscale Leatherworker"] = true,
	["Herbalism Trainer"] = true,
	["Blacksmith"] = true,
	["First Aid Trainer"] = true,
	["Paladin Trainer"] = true,
	["Pet Trainer"] = true,
	["Master Leatherworker"] = true,
	["Tribal Leatherworking Trainer"] = true,
	["Master Engineer"] = true,
	["Master Shadoweave Tailor"] = true,
	["Transportation Engineer"] = true,
	["Shaman Trainer"] = true,
	["Hunter Trainer"] = true,
	["Mage Trainer"] = true,
	["Artisan Tailor"] = true,
	["Speciality Engineer"] = true,
	["Master Tribal Leatherworker"] = true,
	["Chief Engineer"] = true,
	["Master Enchanter"] = true,
	["Owl Trainer"] = true,
	["Trauma Surgeon"] = true,
	["Master Blacksmith"] = true,
	["Journeyman Blacksmith"] = true,
	["Undead Horse Riding Instructor"] = true,
	["Wolf Riding Instructor"] = true,
	["Master Alchemist"] = true,
	["Master Tailor"] = true,
	["Master Leatherworking Trainer"] = true,
	["Grand Master Engineer"] = true,
	["Kodo Riding Instructor"] = true,
	["Artisan Alchemist"] = true,
	["Journeyman Enchanter"] = true,
	["Royal Apothecary Society"] = true,
	["Master Elemental Leatherworker"] = true,
	["Expert Enchanter"] = true,
	["Weapon Master"] = true,
	["Expert Alchemist"] = true,
	["Master Goblin Engineer"] = true,
	["Head Eco-Dome Engineer"] = true,
	["Fishing Trainer"] = true,
	["Expert Engineer"] = true,
	["Expert Leatherworker"] = true,
	["Journeyman Alchemist"] = true,
	["Rogue Trainer"] = true,
	["Ram Riding Instructor"] = true,
	["Grand Master Blacksmith"] = true,
	["Grand Master Jewelcrafter"] = true,
	["Mining Trainer"] = true,
} end)

BabbleTrainer:RegisterTranslations("deDE", function() return {
   -- Trainer types
   ["Warrior Trainer"] = "Kriegerlehrer",
   ["Demon Trainer"] = "D\195\164monenausbilder",
   ["Bael'dun Chief Engineer"] = "Bael'duns Chefingenieur",
   ["Warlock Trainer"] = "Hexenmeisterlehrer",
   ["Raptor Riding Trainer"] = "Raptorreitlehrer",
   ["Horse Riding Instructor"] = "Pferdereitlehrer",
   ["Leatherworking Trainer"] = "Lederverarbeitungslehrer",
   ["Master Jewelcrafter"] = "Juwelenschleifermeister",
   ["Artisan Enchanter"] = "Verzauberkunstfachmann",
   ["Unbalanced Engineer"] = "Unausgeglichener Ingenieur",
   ["Journeyman Jewelcrafter"] = "Juwelenschleifergeselle",
   ["Expert Tailor"] = "Schneiderexperte",
   ["Expert Blacksmith"] = "Schmiedekunstexperte",
   ["Artisan Blacksmith"] = "Schmiedekunstfachmann",
   ["Grand Master Tailor"] = "Schneidergro\195\159meister",
   ["Master Gnome Engineer"] = "Gnomischer Meisteringenieur",
   ["Druid Trainer"] = "Druidenlehrer",
   ["Journeyman Engineer"] = "Ingenieursgeselle",
   ["Superior Leatherworker"] = "\195\156berragender Lederer",
   ["Journeyman Tailor"] = "Schneidergeselle",
   ["Journeyman Leatherworker"] = "Lederverarbeitungsgeselle",
   ["Grand Master Alchemist"] = "Alchimiegro\195\159meister",
   ["Grand Master Leatherworker"] = "Lederverarbeitungsgro\195\159meister",
   ["Portal Trainer"] = "Portallehrer",
   ["Grand Master Enchanter"] = "Verzauberkunstgro\195\159meister",
   ["Cooking Trainer"] = "Kochkunstlehrer",
   ["Skinning Trainer"] = "K\195\188rschnerlehrer",
   ["Engineer"] = "Ingenieur",
   ["Riding Instructor"] = "Reitlehrer",
   ["Priest Trainer"] = "Priesterlehrer",
   ["Journeyman Alchemist Trainer"] = "Alchimiegesellenlehrer",
   ["Artisan Leatherworker"] = "Lederverarbeitungsfachmann",
   ["Artisan Engineer"] = "Ingenieurfachmann",
   ["Master Dragonscale Leatherworker"] = "Drachenlederverarbeitungsmeister",
   ["Herbalism Trainer"] = "Kr\195\164uterkundelehrer",
   ["Blacksmith"] = "Schmied",
   ["First Aid Trainer"] = "Lehrer f?r Erste Hilfe",
   ["Paladin Trainer"] = "Paladinlehrer",
   ["Pet Trainer"] = "Tierausbilder",
   ["Master Leatherworker"] = "Lederverarbeitungsmeister",
   ["Tribal Leatherworking Trainer"] = "Stammeslederverarbeitungslehrer",
   ["Master Engineer"] = "Meisteringenieur",
   ["Master Shadoweave Tailor"] = "Schattengewebeschneidermeister",
   ["Transportation Engineer"] = "Transportingenieur",
   ["Shaman Trainer"] = "Schamanenlehrer",
   ["Hunter Trainer"] = "J\195\164gerlehrer",
   ["Mage Trainer"] = "Magielehrer",
   ["Artisan Tailor"] = "Schneiderfachmann",
   ["Speciality Engineer"] = "Spezialingenieur",
   ["Master Tribal Leatherworker"] = "Stammeslederverarbeitungsmeister",
   ["Chief Engineer"] = "Chefingenieur",
   ["Master Enchanter"] = "Verzauberkunstmeister",
   ["Owl Trainer"] = "Eulenausbilder",
   ["Trauma Surgeon"] = "Traumachirurg",
   ["Master Blacksmith"] = "Meisterschmied",
   ["Journeyman Blacksmith"] = "Schmiedekunstgeselle",
   ["Undead Horse Riding Instructor"] = "Untote Pferdereitlehrer",
   ["Wolf Riding Instructor"] = "Wolfreitlehrer",
   ["Master Alchemist"] = "Alchimiemeister",
   ["Master Tailor"] = "Schneidermeister",
   ["Master Leatherworking Trainer"] = "Lederverarbeitungsmeisterlehrer",
   ["Grand Master Engineer"] = "Gro\195\159meisteringenieur",
   ["Kodo Riding Instructor"] = "Kodoreitlehrer",
   ["Artisan Alchemist"] = "Alchimiefachmann",
   ["Journeyman Enchanter"] = "Verzauberkunstgeselle",
   ["Royal Apothecary Society"] = "K\195\182nigliche Apothekervereinigung",
   ["Master Elemental Leatherworker"] = "Elementarlederverarbeitungsmeister",
   ["Expert Enchanter"] = "Verzauberkunstexperte",
   ["Weapon Master"] = "Waffenmeister",
   ["Expert Alchemist"] = "Alchimieexperte",
   ["Master Goblin Engineer"] = "Goblinmeisteringenieur",
   ["Head Eco-Dome Engineer"] = "Leitender Ingenieur der Biokuppel",
   ["Fishing Trainer"] = "Angellehrer",
   ["Expert Engineer"] = "Ingenieursexperte",
   ["Expert Leatherworker"] = "Lederverarbeitungsexperte",
   ["Journeyman Alchemist"] = "Alchimiegeselle",
   ["Rogue Trainer"] = "Schurkenlehrer",
   ["Ram Riding Instructor"] = "Widderreitlehrer",
   ["Grand Master Blacksmith"] = "Gro?meisterschmied",
   ["Grand Master Jewelcrafter"] = "Juwelenschleifergro\195\159meister",
   ["Mining Trainer"] = "Bergbaulehrer",
} end)

BabbleTrainer:RegisterTranslations("frFR", function() return {
	-- Trainer types
	["Warrior Trainer"] = "Maître des guerriers",
	["Demon Trainer"] = "Maître des démons",
--	["Bael'dun Chief Engineer"] = true,
	["Warlock Trainer"] = "Maître des démonistes",
	["Raptor Riding Trainer"] = "Instructrice de monte de raptor",
	["Horse Riding Instructor"] = "Instructeur d'équitation",
	["Leatherworking Trainer"] = "Maître des Artisans du cuir",
	["Master Jewelcrafter"] = "Joaillier - Maître",
	["Artisan Enchanter"] = "Enchanteur - Artisan",
	["Unbalanced Engineer"] = "Ingénieur déséquilibré",
	["Journeyman Jewelcrafter"] = "Joaillier - Compagnon",
	["Expert Tailor"] = "Tailleur - Expert",
	["Expert Blacksmith"] = "Forgeron - Expert",
	["Artisan Blacksmith"] = "Forgeron - Artisan",
	["Grand Master Tailor"] = "Grand maître des tailleurs",
	["Master Gnome Engineer"] = "Maître-ingénieur gnome",
	["Druid Trainer"] = "Maître des druides",
	["Journeyman Engineer"] = "Ingénieur - Compagnon",
	["Superior Leatherworker"] = "Excellent artisan du cuir",
	["Journeyman Tailor"] = "Tailleur - Compagnon",
	["Journeyman Leatherworker"] = "Artisan du cuir - Compagnon",
	["Grand Master Alchemist"] = "Grand maître des alchimistes",
	["Grand Master Leatherworker"] = "Grand maître des alchimistes",
	["Portal Trainer"] = "Maître des portails",
	["Grand Master Enchanter"] = "Grand maître des enchanteurs",
	["Cooking Trainer"] = "Maître des cuisiniers",
	["Skinning Trainer"] = "Maître des dépeceurs",
	["Engineer"] = "Ingénieur",
	["Riding Instructor"] = "Instructeur de monte",
	["Priest Trainer"] = "Maître des prêtres",
	["Journeyman Alchemist Trainer"] = "Maître des alchimistes - Compagnon",
	["Artisan Leatherworker"] = "Artisan du cuir - Artisan",
	["Artisan Engineer"] = "Ingénieur - Artisan",
	["Master Dragonscale Leatherworker"] = "Artisan du cuir - Maître écailles de dragon",
	["Herbalism Trainer"] = "Maître des herboristes",
	["Blacksmith"] = "Forgeron",
	["First Aid Trainer"] = "Maître des premiers soins",
	["Paladin Trainer"] = "Maître des paladins",
	["Pet Trainer"] = "Maître des familiers",
	["Master Leatherworker"] = "Artisan du cuir - Maître",
	["Tribal Leatherworking Trainer"] = "Maître des artisans du cuir tribal",
	["Master Engineer"] = "Ingénieur - Maître",
	["Master Shadoweave Tailor"] = "Tailleur - Maître tisse-ombre",
	["Transportation Engineer"] = "Ingénieur en charge du transporteur",
	["Shaman Trainer"] = "Maître des chamans",
	["Hunter Trainer"] = "Maître des chasseurs",
	["Mage Trainer"] = "Maître des mages",
	["Artisan Tailor"] = "Tailleur - Artisan",
	["Speciality Engineer"] = "Ingénieur spécialiste",
	["Master Tribal Leatherworker"] = "Artisan du cuir - Maître tribal",
	["Chief Engineer"] = "Ingénieur en chef",
	["Master Enchanter"] = "Enchanteur - Maître",
	["Owl Trainer"] = "Entraîneur de chouettes",
	["Trauma Surgeon"] = "Chirurgien",
	["Master Blacksmith"] = "Forgeron - Maître",
	["Journeyman Blacksmith"] = "Forgeron - Compagnon",
	["Undead Horse Riding Instructor"] = "Instructeur d'équitation mort-vivant",
	["Wolf Riding Instructor"] = "Instructeur de monte de loup",
	["Master Alchemist"] = "Alchimiste - Maître",
	["Master Tailor"] = "Tailleur - Maître",
	["Master Leatherworking Trainer"] = "Maître des Artisans du cuir - Maître",
	["Grand Master Engineer"] = "Grand maître des ingénieurs",
	["Kodo Riding Instructor"] = "Instructeur de monte de kodo",
	["Artisan Alchemist"] = "Alchimiste - Artisan",
	["Journeyman Enchanter"] = "Enchanteur - Compagnon",
	["Royal Apothecary Society"] = "Société royale des apothicaires",
	["Master Elemental Leatherworker"] = "Artisan du cuir - Maître élémentaire",
	["Expert Enchanter"] = "Enchanteur - Expert",
	["Weapon Master"] = "Maître d'armes",
	["Expert Alchemist"] = "Alchimiste - Expert",
	["Master Goblin Engineer"] = "Ingénieur - Maître gobelin",
	["Head Eco-Dome Engineer"] = "Ingénieur en chef de l'Écodôme",
	["Fishing Trainer"] = "Maître des pêcheurs",
	["Expert Engineer"] = "Ingénieur - Expert",
	["Expert Leatherworker"] = "Artisan du cuir - Expert",
	["Journeyman Alchemist"] = "Alchimiste - Compagnon",
	["Rogue Trainer"] = "Maître des voleurs",
	["Ram Riding Instructor"] = "Instructeur de monte de bélier",
	["Grand Master Blacksmith"] = "Grand maître des forgerons",
	["Grand Master Jewelcrafter"] = "Grand maître des joailliers",
	["Mining Trainer"] = "Maître des mineurs",
} end)

BabbleTrainer:RegisterTranslations("koKR", function() return {
	-- Trainer types
	["Warrior Trainer"] = "상급 전사",
	["Demon Trainer"] = "악마 훈련사",
	["Bael'dun Chief Engineer"] = "바엘던 선임기술자",
	["Warlock Trainer"] = "상급 흑마법사",
	["Raptor Riding Trainer"] = "랩터 조련사",
	["Horse Riding Instructor"] = "전문 승마 기수",
	["Leatherworking Trainer"] = "전문 가죽세공인",
--	["Master Jewelcrafter"] = "Master Jewelcrafter",
	["Artisan Enchanter"] = "전문 마법부여사",
	["Unbalanced Engineer"] = "정신나간 기술자",
	["Journeyman Jewelcrafter"] = "수습 보석세공인",
	["Expert Tailor"] = "숙련 재봉사",
	["Expert Blacksmith"] = "숙련 대장장이",
	["Artisan Blacksmith"] = "전문 대장장이",
	["Grand Master Tailor"] = "재봉술의 거장",
	["Master Gnome Engineer"] = "노움 기술자 조합장",
	["Druid Trainer"] = "상급 드루이드",
	["Journeyman Engineer"] = "수습 기술자",
	["Superior Leatherworker"] = "최상급 가죽세공인",
	["Journeyman Tailor"] = "수습 재봉사",
	["Journeyman Leatherworker"] = "수습 가죽세공인",
	["Grand Master Alchemist"] = "연금술의 거장",
	["Grand Master Leatherworker"] = "가죽세공의 거장",
	["Portal Trainer"] = "순간이동 전문 마법사",
	["Grand Master Enchanter"] = "마법부여의 거장",
	["Cooking Trainer"] = "전문 요리사",
	["Skinning Trainer"] = "전문 무두장이",
	["Engineer"] = "기술자",
	["Riding Instructor"] = "전문 기수",
	["Priest Trainer"] = "상급 사제",
	["Journeyman Alchemist Trainer"] = "수습 연금술사",
	["Artisan Leatherworker"] = "전문 가죽세공인",
	["Artisan Engineer"] = "전문 기술자",
	["Master Dragonscale Leatherworker"] = "용비늘 가죽세공의 대가",
	["Herbalism Trainer"] = "전문 약초채집사",
	["Blacksmith"] = "대장장이",
	["First Aid Trainer"] = "전문 응급치료사",
	["Paladin Trainer"] = "상급 성기사",
	["Pet Trainer"] = "야수 조련사",
	["Master Leatherworker"] = "가죽세공의 대가",
	["Tribal Leatherworking Trainer"] = "전통 가죽세공인",
	["Master Engineer"] = "기계공학의 대가",
	["Master Shadoweave Tailor"] = "그림자 재봉술의 대가",
	["Transportation Engineer"] = "순간이동 기술자",
	["Shaman Trainer"] = "상급 주술사",
	["Hunter Trainer"] = "상급 사냥꾼",
	["Mage Trainer"] = "상급 마법사",
	["Artisan Tailor"] = "전문 재봉사",
--	["Speciality Engineer"] = "Speciality Engineer",
	["Master Tribal Leatherworker"] = "전통 가죽세공의 대가",
	["Chief Engineer"] = "선임기술자",
	["Master Enchanter"] = "마법부여의 대가",
	["Owl Trainer"] = "올빼미 조련사",
	["Trauma Surgeon"] = "군의관",
	["Master Blacksmith"] = "대장기술의 대가",
	["Journeyman Blacksmith"] = "수습 대장장이",
	["Undead Horse Riding Instructor"] = "언데드 말 전문기수",
	["Wolf Riding Instructor"] = "전문 늑대 기수",
	["Master Alchemist"] = "연금술의 대가",
	["Master Tailor"] = "재봉술의 대가",
	["Master Leatherworking Trainer"] = "가죽세공의 대가",
	["Grand Master Engineer"] = "기계공학의 거장",
	["Kodo Riding Instructor"] = "전문 코도 기수",
	["Artisan Alchemist"] = "전문 연금술사",
	["Journeyman Enchanter"] = "수습 마법부여사",
	["Royal Apothecary Society"] = "왕립 연금술 학회",
	["Master Elemental Leatherworker"] = "원소 가죽세공의 대가",
	["Expert Enchanter"] = "숙련 마법부여사",
	["Weapon Master"] = "무기 전문가",
	["Expert Alchemist"] = "숙련 연금술사",
	["Master Goblin Engineer"] = "고블린 기술자 조합장",
	["Head Eco-Dome Engineer"] = "수석 생태지구 기술자",
	["Fishing Trainer"] = "전문 낚시꾼",
	["Expert Engineer"] = "숙련 기술자",
	["Expert Leatherworker"] = "숙련 가죽세공인",
	["Journeyman Alchemist"] = "수습 연금술사",
	["Rogue Trainer"] = "상급 도적",
	["Ram Riding Instructor"] = "전문 산양 기수",
	["Grand Master Blacksmith"] = "대장기술의 거장",
	["Grand Master Jewelcrafter"] = "보석세공의 거장",
	["Mining Trainer"] = "전문 광부",
} end)

BabbleTrainer:Debug()
BabbleTrainer:SetStrictness(true)

AceLibrary:Register(BabbleTrainer, MAJOR_VERSION, MINOR_VERSION)
BabbleTrainer = nil
