﻿--[[
Name: Babble-Vendor-2.2
Revision: $Rev: 25816 $
Authors(s): Kodewulf (kodewulf@gmail.com)
Website: www.wowace.com
Documentation: http://www.wowace.com/wiki/Babble-Vendor-2.2
Dependencies: AceLibrary, AceLocale-2.2
License: MIT
]]

local MAJOR_VERSION = "Babble-Vendor-2.2"
local MINOR_VERSION = tonumber(string.sub("$Revision: 25816 $", 12, -3))

if not AceLibrary then error(MAJOR_VERSION .. " requires AceLibrary") end
if not AceLibrary:HasInstance("AceLocale-2.2") then error(MAJOR_VERSION .. " requires AceLocale-2.2") end

local _, x = AceLibrary("AceLocale-2.2"):GetLibraryVersion()
MINOR_VERSION = MINOR_VERSION * 100000 + x

if not AceLibrary:IsNewVersion(MAJOR_VERSION, MINOR_VERSION) then return end

local BabbleVendor = AceLibrary("AceLocale-2.2"):new(MAJOR_VERSION)

BabbleVendor:RegisterTranslations("enUS", function() return {
    -- Vendor types
    ["Darkmoon Faire Drink Vendor"] = true,
    ["Leather & Mail Armor Merchant"] = true,
    ["Defilers Supply Officer"] = true,
    ["Two-Handed Weapons Merchant"] = true,
    ["Quartermaster"] = true,
    ["Tradesman"] = true,
    ["Sword and Dagger Merchant"] = true,
    ["Wands Merchant"] = true,
    ["Cloth and Leather Merchant"] = true,
    ["Thrown Weapons Merchant"] = true,
    ["War Harness Vendor"] = true,
    ["Tools & Supplies"] = true,
    ["Guns Merchant"] = true,
    ["Thrallmar Quartermaster"] = true,
    ["Chef"] = true,
    ["Bow Merchant"] = true,
    ["Superior Macecrafter"] = true,
    ["Prairie Dog Vendor"] = true,
    ["Bowyer"] = true,
    ["Bread Merchant"] = true,
    ["Mail & Plate Merchant"] = true,
    ["Trade Supplies"] = true,
    ["Wand Vendor"] = true,
    ["Enchanting Supplies"] = true,
    ["Robe Merchant"] = true,
    ["Fish Merchant & Supplies"] = true,
    ["Weapon Crafter"] = true,
    ["Fungus Vendor"] = true,
    ["Weapon Merchant"] = true,
    ["Tailoring Supplier"] = true,
    ["Reagent Supplies"] = true,
    ["Cockroach Vendor"] = true,
    ["Alchemy & Herbalism Supplies"] = true,
    ["Trade Goods"] = true,
    ["Wand Merchant"] = true,
    ["Stormpike Supply Officer"] = true,
    ["Undead Horse Merchant"] = true,
    ["Armor Merchant"] = true,
    ["Armorsmith"] = true,
    ["Mushroom Merchant"] = true,
    ["Jewelcrafting Supplier"] = true,
    ["Poison Supplies"] = true,
    ["Armor & Shield Merchant"] = true,
    ["Armorsmith & Blacksmithing Supplies"] = true,
    ["Weapons Merchant"] = true,
    ["Horde Cloth Quartermaster"] = true,
    ["Consortium Quartermaster"] = true,
    ["Cloth Armor Merchant"] = true,
    ["Reagent Supplier"] = true,
    ["Staff Vendor"] = true,
    ["War Harness Maker"] = true,
    ["Alliance Cloth Quartermaster"] = true,
    ["Weaponsmith"] = true,
    ["General Supplies"] = true,
    ["Exotic Reagent Merchant"] = true,
    ["Jewelcrafting Supplies Vendor"] = true,
    ["Cooking Supplies"] = true,
    ["Superior Tradesman"] = true,
    ["Mining Supplier"] = true,
    ["Kurenai Quartermaster"] = true,
    ["Mag'har Quartermaster"] = true,
    ["Herbalism Supplier"] = true,
    ["Mining Supplies"] = true,
    ["Mechanostrider Merchant"] = true,
    ["Blade Vendor"] = true,
    ["Fisherman Supplies"] = true,
    ["Staves Merchant"] = true,
    ["Bread Vendor"] = true,
    ["Traveling Merchant"] = true,
    ["Shield Crafter"] = true,
    ["Fruit Vendor"] = true,
    ["Alpha Gem Vendor"] = true,
    ["Two Handed Weapon Merchant"] = true,
    ["Food Vendor"] = true,
    ["Weapons and Armor Merchant"] = true,
    ["Gunsmith"] = true,
    ["Dagger Vendor"] = true,
    ["Pie Vendor"] = true,
    ["Bait and Tackle Supplier"] = true,
    ["Food & Drink Vendor"] = true,
    ["Scryers: Quartermaster"] = true,
    ["Leather Armor Merchant"] = true,
    ["Silverwing Supply Officer"] = true,
    ["Mace & Staff Merchant"] = true,
    ["Engineering and Mining Supplies"] = true,
    ["Arena Vendor"] = true,
    ["Robe Vendor"] = true,
    ["Frostwolf Supply Officer"] = true,
    ["Fireworks Vendor"] = true,
    ["Fireworks Merchant"] = true,
    ["Bow & Gun Merchant"] = true,
    ["General Goods"] = true,
    ["Alchemy Supplies"] = true,
    ["Enchanting Supplier"] = true,
    ["Speciality Tailoring Supplies"] = true,
    ["Reagent Merchant"] = true,
    ["Food and Drink"] = true,
    ["General Trade Goods Vendor"] = true,
    ["Wine Vendor"] = true,
    ["Sword Vendor"] = true,
    ["Speciality Dress Maker"] = true,
    ["Gun Merchant"] = true,
    ["General Trade Supplier"] = true,
    ["Mining and Smithing Supplies"] = true,
    ["Light Armor Merchant"] = true,
    ["Fish Merchant"] = true,
    ["Mail Armor Merchant"] = true,
    ["Honor Hold Quartermaster"] = true,
    ["Guild Tabard Vendor"] = true,
    ["Tailoring Supplies"] = true,
    ["Macecrafter"] = true,
    ["Leather Armor & Leatherworking Supplies"] = true,
    ["Warsong Supply Officer"] = true,
    ["Herbalism & Alchemy Supplies"] = true,
    ["Ammunition Vendor"] = true,
    ["Leatherworking Supplier"] = true,
    ["Bag Vendor"] = true,
    ["Ice Cream Vendor"] = true,
    ["Cheese Vendor"] = true,
    ["Fish Vendor"] = true,
    ["Venture Co. Merchant"] = true,
    ["Engineering Supplies"] = true,
    ["Trade Goods Supplier"] = true,
    ["Supplies"] = true,
    ["Free Wheeling Merchant"] = true,
    ["League of Arathor Supply Officer"] = true,
    ["Engineering & General Goods Supplier"] = true,
    ["Accessories Quartermaster"] = true,
    ["Light Armor & Weapons Merchant"] = true,
    ["Meat Vendor"] = true,
    ["Gem Vendor"] = true,
    ["Weapon Vendor"] = true,
    ["Reagents Vendor"] = true,
    ["Cenarion Expedition Quartermaster"] = true,
    ["Poison Supplier"] = true,
    ["Armor Crafter"] = true,
    ["General Goods Merchant"] = true,
    ["Blunt Weapon Merchant"] = true,
    ["Cooking Trainer and Supplies"] = true,
    ["Arcane Trinkets Vendor"] = true,
    ["General & Trade Supplies"] = true,
    ["Heavy Armor Merchant"] = true,
    ["Fishing Supplier"] = true,
    ["Sporeggar Quartermaster"] = true,
    ["Merchant"] = true,
    ["Bow & Arrow Merchant"] = true,
    ["Axe Merchant"] = true,
    ["Cloth & Leather Armor Merchant"] = true,
    ["Staff Merchant"] = true,
    ["Specialty Tailoring Supplies"] = true,
    ["Special Weapon Crafter"] = true,
    ["Pirate Supplies"] = true,
    ["Trade Supplier"] = true,
    ["Darkmoon Faire Food Vendor"] = true,
    ["Tabard Vendor"] = true,
    ["Healing & Sustenance"] = true,
    ["Shield Merchant"] = true,
    ["Blacksmithing Trainer and Supplies"] = true,
    ["Cloth & Leather Merchant"] = true,
    ["Arcane Goods Vendor"] = true,
    ["Bag Merchant"] = true,
    ["Leatherworking Supplies"] = true,
    ["Superior Armor Crafter"] = true,
    ["Butcher"] = true,
    ["Trade Goods Supplies"] = true,
    ["Trade Goods Vendor"] = true,
    ["Scrolls & Potions"] = true,
    ["Food & Drink Merchant"] = true,
    ["Leatherworking & Tailoring Supplies"] = true,
    ["General Goods Vendor"] = true,
    ["Cooking Supplier"] = true,
    ["Rations"] = true,
    ["Beverage Merchant"] = true,
    ["Reagent Vendor"] = true,
    ["Engineering Supplier"] = true,
    ["Fishing Trainer & Supplies"] = true,
    ["Blacksmithing Supplies"] = true,
    ["Innkeeper"] = true,
    ["Blacksmithing Supplier"] = true,
    ["Keepers of Time Quartermaster"] = true,
    ["Staff & Mace Merchant"] = true,
    ["Fishing Supplies"] = true,
    ["Poison Vendor"] = true,
    ["Specialist Tailoring Supplies"] = true,
    ["Drink Vendor"] = true,
    ["Mace & Staves Vendor"] = true,
    ["Mushroom Vendor"] = true,
    ["Guns and Ammo Merchant"] = true,
    ["Blade Merchant"] = true,
    ["General Trade Goods Merchant"] = true,
    ["Wine & Spirits Merchant"] = true,    
} end)

BabbleVendor:RegisterTranslations("deDE", function() return {
    -- Vendor types
    ["Darkmoon Faire Drink Vendor"] = "Getränkeverkäufer des Dunkelmond-Jahrmarkts",
    ["Leather & Mail Armor Merchant"] = "Händler für Leder- und schwere Rüstungen",
    ["Defilers Supply Officer"] = "Versorgungsoffizier der Entweihten",
    ["Two-Handed Weapons Merchant"] = "Zweihandwaffenhändler",
    ["Quartermaster"] = "Rüstmeister",
    ["Tradesman"] = "Handwerker",
    ["Sword and Dagger Merchant"] = "Schwert- und Dolchhändler",
    ["Wands Merchant"] = "Zauberstabhändler",
    ["Cloth and Leather Merchant"] = "Tuch- und Lederhändler",
    ["Thrown Weapons Merchant"] = "Wurfwaffenhändler",
    ["War Harness Vendor"] = "Kriegsharnischverkäufer",
    ["Tools & Supplies"] = "Werkzeuge und Bedarfsartikel",
    ["Guns Merchant"] = "Schusswaffenhändler",
    ["Thrallmar Quartermaster"] = "Rüstmeister von Thrallmar", -- check
    ["Chef"] = "Koch",
    ["Bow Merchant"] = "Bogenhändler",
    ["Superior Macecrafter"] = "Überragender Streitkolbenmacher",
    ["Prairie Dog Vendor"] = "Präriehundverkäufer", -- check
    ["Bowyer"] = "Bogenmacher",
    ["Bread Merchant"] = "Brothändler",
    ["Mail & Plate Merchant"] = "Panzer- und Plattenhändler",
    ["Trade Supplies"] = "Handwerkswaren",
    ["Wand Vendor"] = "Zauberstabverkäufer",
    ["Enchanting Supplies"] = "Verzauberkunstbedarf",
    ["Robe Merchant"] = "Robenhändler",
    ["Fish Merchant & Supplies"] = "Fischhändler und Zubehör",
    ["Weapon Crafter"] = "Waffenmacher",
    ["Fungus Vendor"] = "Pilzverkäufer",
    ["Weapon Merchant"] = "Waffenhändler",
    ["Tailoring Supplier"] = "Schneiderbedarf",
    ["Reagent Supplies"] = "Reagenzienbedarf",
    ["Cockroach Vendor"] = "Kakerlakenverkäufer",
    ["Alchemy & Herbalism Supplies"] = "Alchemie- und Kräuterkundebedarf",
    ["Trade Goods"] = "Handwerkswaren",
    ["Wand Merchant"] = "Zauberstabhändler",
    ["Stormpike Supply Officer"] = "Versorgungsoffizier der Sturmlanzen",
    ["Undead Horse Merchant"] = "Pferdehändler der Untoten",
    ["Armor Merchant"] = "Waffenhändler",
    ["Armorsmith"] = "Waffenschmied",
    ["Mushroom Merchant"] = "Pilzhändler",
    ["Jewelcrafting Supplier"] = "Juwelenschleiferbedarf",
    ["Poison Supplies"] = "Giftbedarf",
    ["Armor & Shield Merchant"] = "Rüstungs und Schildhändler", -- check; possibly missing hyphen "-"
    ["Armorsmith & Blacksmithing Supplies"] = "Rüstungsschmied und Schmiedekunstbedarf",
    ["Weapons Merchant"] = "Waffenhändler",
    ["Horde Cloth Quartermaster"] = "Stoffrüstmeister der Horde",
    ["Consortium Quartermaster"] = "Rüstmeister des Konsortiums",
    ["Cloth Armor Merchant"] = "Stoffrüstungshändler",
    ["Reagent Supplier"] = "Reagenzienlieferant",
    ["Staff Vendor"] = "Stabverkäufer",
    ["War Harness Maker"] = "Kriegsharnischhersteller",
    ["Alliance Cloth Quartermaster"] = "Stoffrüstmeister der Allianz",
    ["Weaponsmith"] = "Waffenschmied",
    ["General Supplies"] = "Gemischtwaren",
    ["Exotic Reagent Merchant"] = "Händler für exotische Reagenzien",
    ["Jewelcrafting Supplies Vendor"] = "Juwelenschleiferbedarf",
    ["Cooking Supplies"] = "Kochbedarf",
    ["Superior Tradesman"] = "Überragender Handwerker",
    ["Mining Supplier"] = "Bergbaubedarf",
    ["Kurenai Quartermaster"] = "Rüstmeister der Kurenai",
    ["Mag'har Quartermaster"] = "Rüstmeister der Mag'har",
    ["Herbalism Supplier"] = "Kräuterkundebedarf",
    ["Mining Supplies"] = "Bergbaubedarf",
    ["Mechanostrider Merchant"] = "Roboschreiterhändlerin", -- Milli Featherwhistle, female
    ["Blade Vendor"] = "Klingenverkäufer",
    ["Fisherman Supplies"] = "Angelbedarf",
    ["Staves Merchant"] = "Stabhändler",
    ["Bread Vendor"] = "Brotverkäufer",
    ["Traveling Merchant"] = "Fliegender Händler",
    ["Shield Crafter"] = "Schildhersteller",
    ["Fruit Vendor"] = "Obstverkäufer",
    --["Alpha Gem Vendor"] = true, -- no translation known yet
    ["Two Handed Weapon Merchant"] = "Zweihandwaffenhändler",
    ["Food Vendor"] = "Lebensmittelverkäufer",
    ["Weapons and Armor Merchant"] = "Waffen- und Rüstungshändler",
    ["Gunsmith"] = "Schusswaffenschmied",
    ["Dagger Vendor"] = "Dolchverkäufer",
    ["Pie Vendor"] = "Kuchenverkäufer",
    --["Bait and Tackle Supplier"] = true,
    --["Food & Drink Vendor"] = true,
    --["Scryers: Quartermaster"] = true,
    --["Leather Armor Merchant"] = true,
    --["Silverwing Supply Officer"] = true,
    --["Mace & Staff Merchant"] = true,
    --["Engineering and Mining Supplies"] = true,
    ["Arena Vendor"] = "Arenaverkäufer",
    --["Robe Vendor"] = true,
    --["Frostwolf Supply Officer"] = true,
    ["Fireworks Vendor"] = "Feuerwerkverkäufer",
    --["Fireworks Merchant"] = "Feuerwerkhändler",
    --["Bow & Gun Merchant"] = true,
    --["General Goods"] = true,
    --["Alchemy Supplies"] = true,
    --["Enchanting Supplier"] = true,
    --["Speciality Tailoring Supplies"] = true,
    --["Reagent Merchant"] = true,
    --["Food and Drink"] = true,
    --["General Trade Goods Vendor"] = true,
    --["Wine Vendor"] = true,
    --["Sword Vendor"] = true,
    --["Speciality Dress Maker"] = true,
    --["Gun Merchant"] = true,
    --["General Trade Supplier"] = true,
    --["Mining and Smithing Supplies"] = true,
    --["Light Armor Merchant"] = true,
    --["Fish Merchant"] = true,
    --["Mail Armor Merchant"] = true,
    --["Honor Hold Quartermaster"] = true,
    --["Guild Tabard Vendor"] = true,
    --["Tailoring Supplies"] = true,
    --["Macecrafter"] = true,
    --["Leather Armor & Leatherworking Supplies"] = true,
    --["Warsong Supply Officer"] = true,
    --["Herbalism & Alchemy Supplies"] = true,
    ["Ammunition Vendor"] = "Munitionsverkäufer",
    --["Leatherworking Supplier"] = true,
    --["Bag Vendor"] = true,
    --["Ice Cream Vendor"] = true,
    --["Cheese Vendor"] = true,
    --["Fish Vendor"] = true,
    --["Venture Co. Merchant"] = true,
    --["Engineering Supplies"] = true,
    --["Trade Goods Supplier"] = true,
    --["Supplies"] = true,
    --["Free Wheeling Merchant"] = true,
    --["League of Arathor Supply Officer"] = true,
    --["Engineering & General Goods Supplier"] = true,
    --["Accessories Quartermaster"] = true,
    --["Light Armor & Weapons Merchant"] = true,
    --["Meat Vendor"] = true,
    --["Gem Vendor"] = true,
    --["Weapon Vendor"] = true,
    --["Reagents Vendor"] = true,
    --["Cenarion Expedition Quartermaster"] = true,
    --["Poison Supplier"] = true,
    --["Armor Crafter"] = true,
    --["General Goods Merchant"] = true,
    --["Blunt Weapon Merchant"] = true,
    --["Cooking Trainer and Supplies"] = true,
    --["Arcane Trinkets Vendor"] = true,
    --["General & Trade Supplies"] = true,
    --["Heavy Armor Merchant"] = true,
    --["Fishing Supplier"] = true,
    --["Sporeggar Quartermaster"] = true,
    --["Merchant"] = true,
    --["Bow & Arrow Merchant"] = true,
    --["Axe Merchant"] = true,
    --["Cloth & Leather Armor Merchant"] = true,
    --["Staff Merchant"] = true,
    --["Specialty Tailoring Supplies"] = true,
    --["Special Weapon Crafter"] = true,
    --["Pirate Supplies"] = true,
    --["Trade Supplier"] = true,
    --["Darkmoon Faire Food Vendor"] = true,
    --["Tabard Vendor"] = true,
    --["Healing & Sustenance"] = true,
    --["Shield Merchant"] = true,
    --["Blacksmithing Trainer and Supplies"] = true,
    --["Cloth & Leather Merchant"] = true,
    --["Arcane Goods Vendor"] = true,
    --["Bag Merchant"] = true,
    --["Leatherworking Supplies"] = true,
    --["Superior Armor Crafter"] = true,
    --["Butcher"] = true,
    --["Trade Goods Supplies"] = true,
    --["Trade Goods Vendor"] = true,
    --["Scrolls & Potions"] = true,
    --["Food & Drink Merchant"] = true,
    --["Leatherworking & Tailoring Supplies"] = true,
    --["General Goods Vendor"] = true,
    --["Cooking Supplier"] = true,
    --["Rations"] = true,
    --["Beverage Merchant"] = true,
    --["Reagent Vendor"] = true,
    --["Engineering Supplier"] = true,
    --["Fishing Trainer & Supplies"] = true,
    --["Blacksmithing Supplies"] = true,
    --["Innkeeper"] = true,
    --["Blacksmithing Supplier"] = true,
    --["Keepers of Time Quartermaster"] = true,
    --["Staff & Mace Merchant"] = true,
    --["Fishing Supplies"] = true,
    --["Poison Vendor"] = true,
    --["Specialist Tailoring Supplies"] = true,
    --["Drink Vendor"] = true,
    --["Mace & Staves Vendor"] = true,
    --["Mushroom Vendor"] = true,
    --["Guns and Ammo Merchant"] = true,
    --["Blade Merchant"] = true,
    --["General Trade Goods Merchant"] = true,
    --["Wine & Spirits Merchant"] = true,
} end)

BabbleVendor:RegisterTranslations("koKR", function() return {
    -- Vendor types
    ["Darkmoon Faire Drink Vendor"] = "다크문 유랑단 음료 상인",
    ["Leather & Mail Armor Merchant"] = "가죽 및 사슬 방어구 상인",
    ["Defilers Supply Officer"] = "파멸단 병참장교",
    ["Two-Handed Weapons Merchant"] = "양손 무기 상인",
    ["Quartermaster"] = "병참 장교",
    ["Tradesman"] = "직업용품 상인",
    ["Sword and Dagger Merchant"] = "검과 단검 상인",
    ["Wands Merchant"] = "마법봉 상인",
    ["Cloth and Leather Merchant"] = "천 및 가죽 방어구 상인",
    ["Thrown Weapons Merchant"] = "투척 무기 상인",
    ["War Harness Vendor"] = "전투 멜빵 상인",
    ["Tools & Supplies"] = "독극물 재료 상인",
    ["Guns Merchant"] = "총기류 상인",
    ["Thrallmar Quartermaster"] = "스랄마 병참장교",
    ["Chef"] = "음식 상인",
    ["Bow Merchant"] = "활 상인",
    ["Superior Macecrafter"] = "고급 둔기제작자",
    ["Prairie Dog Vendor"] = "땅다람쥐 상인",
    ["Bowyer"] = "활 상인",
    ["Bread Merchant"] = "빵 상인",
    ["Mail & Plate Merchant"] = "갑옷 및 방패 상인",
    ["Trade Supplies"] = "직업용품 상인",
    ["Wand Vendor"] = "마법봉 상인",
    ["Enchanting Supplies"] = "마법부여용품 상인",
    ["Robe Merchant"] = "로브 상인",
    ["Fish Merchant & Supplies"] = "낚시 용품 상인",
    ["Weapon Crafter"] = "전문 무기제작자",
    ["Fungus Vendor"] = "버섯 상인",
    ["Weapon Merchant"] = "무기 상인",
    ["Tailoring Supplier"] = "재봉용품 상인",
    ["Reagent Supplies"] = "마법 재료 상인",
    ["Cockroach Vendor"] = "바퀴벌레 상인",
    ["Alchemy & Herbalism Supplies"] = "연금술용품 상인",
    ["Trade Goods"] = "직업용품 상인",
    ["Wand Merchant"] = "마법 재료 상인",
    ["Stormpike Supply Officer"] = "스톰파이크 병참장교",
    ["Undead Horse Merchant"] = "언데드 말 조련사",
    ["Armor Merchant"] = "방어구 상인",
    ["Armorsmith"] = "방어구 제작자",
    ["Mushroom Merchant"] = "버섯 상인",
    ["Jewelcrafting Supplier"] = "보석세공용품 상인",
    ["Poison Supplies"] = "독극물 재료 상인",
    ["Armor & Shield Merchant"] = "갑옷 및 방패 상인",
    ["Armorsmith & Blacksmithing Supplies"] = "갑옷 및 대장용품 상인",
    ["Weapons Merchant"] = "무기 상인",
    ["Horde Cloth Quartermaster"] = "호드 천 방어구 병참장교",
    ["Consortium Quartermaster"] = "무역연합 병참장교",
    ["Cloth Armor Merchant"] = "천 방어구 상인",
    ["Reagent Supplier"] = "마법 재료 상인",
    ["Staff Vendor"] = "지팡이 상인",
    ["War Harness Maker"] = "전투 멜빵 상인",
    ["Alliance Cloth Quartermaster"] = "얼라이언스 천 방어구 병참장교",
    ["Weaponsmith"] = "무기제작자",
    ["General Supplies"] = "일용품 상인",
    ["Exotic Reagent Merchant"] = "진귀한 마법 재료 상인",
    ["Jewelcrafting Supplies Vendor"] = "보석세공용품 상인",
    ["Cooking Supplies"] = "요리 재료 상인",
    ["Superior Tradesman"] = "직업용품 상인",
    ["Mining Supplier"] = "채광용품 상인",
    ["Kurenai Quartermaster"] = "쿠레나이 병참장교",
    ["Mag'har Quartermaster"] = "마그하르 병참장교",
    ["Herbalism Supplier"] = "연금술용품 상인",
    ["Mining Supplies"] = "채광용품 상인",
    ["Mechanostrider Merchant"] = "기계타조 상인",
    ["Blade Vendor"] = "Blade Vendor",
    ["Fisherman Supplies"] = "낚시용품 상인",
    ["Staves Merchant"] = "지팡이 상인",
    ["Bread Vendor"] = "빵 상인",
    ["Traveling Merchant"] = "빵 행상인",
    ["Shield Crafter"] = "버클러 상인",
    ["Fruit Vendor"] = "과일 상인",
    ["Alpha Gem Vendor"] = "Alpha Gem Vendor",
    ["Two Handed Weapon Merchant"] = "양손 무기 상인",
    ["Food Vendor"] = "Food Vendor",
    ["Weapons and Armor Merchant"] = "Weapons and Armor Merchant",
    ["Gunsmith"] = "총기류 상인",
    ["Dagger Vendor"] = "단검 상인",
    ["Pie Vendor"] = "파이 상인",
    ["Bait and Tackle Supplier"] = "낚시용품 상인",
    ["Food & Drink Vendor"] = "식료품 상인",
    ["Scryers: Quartermaster"] = "점술가 길드 병참장교",
    ["Leather Armor Merchant"] = "가죽 방어구 상인",
    ["Silverwing Supply Officer"] = "은빛날개 병참장교",
    ["Mace & Staff Merchant"] = "둔기 및 지팡이 상인",
    ["Engineering and Mining Supplies"] = "기술 및 채광용품 상인",
    ["Arena Vendor"] = "투기장 사무관",
    ["Robe Vendor"] = "로브 상인",
    ["Frostwolf Supply Officer"] = "서리늑대 병참장교",
    ["Fireworks Vendor"] = "폭죽 상인",
    ["Fireworks Merchant"] = "폭죽 상인",
    ["Bow & Gun Merchant"] = "활 및 총기류 상인",
    ["General Goods"] = "일용품 상인",
    ["Alchemy Supplies"] = "연금술용품 상인",
    ["Enchanting Supplier"] = "마법부여용품 상인",
    ["Speciality Tailoring Supplies"] = "특수 재봉용품 상인",
    ["Reagent Merchant"] = "Reagent Merchant",
    ["Food and Drink"] = "식료품 상인",
    ["General Trade Goods Vendor"] = "직업용품 상인",
    ["Wine Vendor"] = "와인 상인",
    ["Sword Vendor"] = "검 상인",
    ["Speciality Dress Maker"] = "특제 의상 상인",
    ["Gun Merchant"] = "총기류 상인",
    ["General Trade Supplier"] = "직업용품 상인",
    ["Mining and Smithing Supplies"] = "대장 및 채광용품 상인",
    ["Light Armor Merchant"] = "천 및 가죽 방어구 상인",
    ["Fish Merchant"] = "생선 상인",
    ["Mail Armor Merchant"] = "사슬 방어구 상인",
    ["Honor Hold Quartermaster"] = "Honor Hold Quartermaster",
    ["Guild Tabard Vendor"] = "길드 휘장 상인",
    ["Tailoring Supplies"] = "재봉용품 상인",
    ["Macecrafter"] = "철퇴제작자",
    ["Leather Armor & Leatherworking Supplies"] = "가죽 방어구 상인",
    ["Warsong Supply Officer"] = "전쟁노래 병참장교",
    ["Herbalism & Alchemy Supplies"] = "연금술용품 상인",
    ["Ammunition Vendor"] = "탄약 상인",
    ["Leatherworking Supplier"] = "Leatherworking Supplier",
    ["Bag Vendor"] = "가방 상인",
    ["Ice Cream Vendor"] = "아이스크림 상인",
    ["Cheese Vendor"] = "치즈 상인",
    ["Fish Vendor"] = "생선 상인",
    ["Venture Co. Merchant"] = "투자개발회사 무기 외판원",
    ["Engineering Supplies"] = "기술용품 상인",
    ["Trade Goods Supplier"] = "직업용품 상인",
    ["Supplies"] = "Supplies",
    ["Free Wheeling Merchant"] = "가죽 방어구 상인",
    ["League of Arathor Supply Officer"] = "아라소르 연맹 병참장교",
    ["Engineering & General Goods Supplier"] = "기술용품 상인",
    ["Accessories Quartermaster"] = "비전투장비 병참장교",
    ["Light Armor & Weapons Merchant"] = "방어구 및 무기 상인",
    ["Meat Vendor"] = "고기 상인",
    ["Gem Vendor"] = "보석 상인",
    ["Weapon Vendor"] = "무기 상인",
    ["Reagents Vendor"] = "마법 재료 상인",
    ["Cenarion Expedition Quartermaster"] = "세나리온 원정대 병참장교",
    ["Poison Supplier"] = "독극물 재료 상인",
    ["Armor Crafter"] = "방어구 제작가",
    ["General Goods Merchant"] = "일용품 상인",
    ["Blunt Weapon Merchant"] = "Blunt Weapon Merchant",
    ["Cooking Trainer and Supplies"] = "Cooking Trainer and Supplies",
    ["Arcane Trinkets Vendor"] = "마법용품 상인",
    ["General & Trade Supplies"] = "일용품 상인",
    ["Heavy Armor Merchant"] = "갑옷 및 방패 상인",
    ["Fishing Supplier"] = "낚시용품 상인",
    ["Sporeggar Quartermaster"] = "스포어가르 보급원",
    ["Merchant"] = "마법재료 상인",
    ["Bow & Arrow Merchant"] = "화살 상인",
    ["Axe Merchant"] = "도끼 상인",
    ["Cloth & Leather Armor Merchant"] = "천 및 가죽 방어구 상인",
    ["Staff Merchant"] = "지팡이 상인",
    ["Specialty Tailoring Supplies"] = "특수 재봉용품 상인",
    ["Special Weapon Crafter"] = "특수 무기제작자",
    ["Pirate Supplies"] = "해적 애완동물 상인",
    ["Trade Supplier"] = "직업용품 상인",
    ["Darkmoon Faire Food Vendor"] = "다크문 유랑단 음식 상인",
    ["Tabard Vendor"] = "길드 휘장 상인",
    ["Healing & Sustenance"] = "식료품 상인",
    ["Shield Merchant"] = "방패 상인",
    ["Blacksmithing Trainer and Supplies"] = "Blacksmithing Trainer and Supplies",
    ["Cloth & Leather Merchant"] = "천 및 가죽 방어구 상인",
    ["Arcane Goods Vendor"] = "마법용품 상인",
    ["Bag Merchant"] = "가방 상인",
    ["Leatherworking Supplies"] = "가죽세공용품 상인",
    ["Superior Armor Crafter"] = "고급 방어구 제작자",
    ["Butcher"] = "푸줏간 주인",
    ["Trade Goods Supplies"] = "직업용품 상인",
    ["Trade Goods Vendor"] = "직업용품 상인",
    ["Scrolls & Potions"] = "두루마리 및 물약 상인",
    ["Food & Drink Merchant"] = "식료품 상인",
    ["Leatherworking & Tailoring Supplies"] = "재봉용품 상인",
    ["General Goods Vendor"] = "일용품 상인",
    ["Cooking Supplier"] = "요리 재료 상인",
    ["Rations"] = "Rations",
    ["Beverage Merchant"] = "음료 상인",
    ["Reagent Vendor"] = "마법 재료 상인",
    ["Engineering Supplier"] = "기술용품 상인",
    ["Fishing Trainer & Supplies"] = "낚시용품 상인",
    ["Blacksmithing Supplies"] = "대장용품 상인",
    ["Innkeeper"] = "여관주인",
    ["Blacksmithing Supplier"] = "대장용품 상인",
    ["Keepers of Time Quartermaster"] = "시간의 수호자 병참장교",
    ["Staff & Mace Merchant"] = "지팡이 및 둔기 상인",
    ["Fishing Supplies"] = "낚시용품 상인",
    ["Poison Vendor"] = "독극물 재료 상인",
    ["Specialist Tailoring Supplies"] = "특수 재봉용품 상인",
    ["Drink Vendor"] = "음료 상인",
    ["Mace & Staves Vendor"] = "둔기 및 지팡이 상인",
    ["Mushroom Vendor"] = "버섯 상인",
    ["Guns and Ammo Merchant"] = "총기류 상인",
    ["Blade Merchant"] = "도검류 상인",
    ["General Trade Goods Merchant"] = "직업용품 상인",
    ["Wine & Spirits Merchant"] = "와인 및 술 상인"    
} end)

BabbleVendor:Debug()
BabbleVendor:SetStrictness(true)

AceLibrary:Register(BabbleVendor, MAJOR_VERSION, MINOR_VERSION)
BabbleVendor = nil
